%global debug_package %{nil}

Name: python-cached-property
Epoch: 100
Version: 1.5.2
Release: 1%{?dist}
BuildArch: noarch
Summary: Cached-property for decorating methods in Python classes
License: BSD-3-Clause
URL: https://github.com/pydanny/cached-property/releases
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
cached_property allows properties in Python classes to be cached until
the cache is invalidated or expired.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-cached-property
Summary: Cached-property for decorating methods in Python classes
Requires: python3
Provides: python3-cached_property = %{epoch}:%{version}-%{release}
Provides: python3dist(cached-property) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cached_property = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cached-property) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cached_property = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cached-property) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-cached-property
cached_property allows properties in Python classes to be cached until
the cache is invalidated or expired.

%files -n python%{python3_version_nodots}-cached-property
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-cached-property
Summary: Cached-property for decorating methods in Python classes
Requires: python3
Provides: python3-cached_property = %{epoch}:%{version}-%{release}
Provides: python3dist(cached-property) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cached_property = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cached-property) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cached_property = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cached-property) = %{epoch}:%{version}-%{release}

%description -n python3-cached-property
cached_property allows properties in Python classes to be cached until
the cache is invalidated or expired.

%files -n python3-cached-property
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-cached_property
Summary: Cached-property for decorating methods in Python classes
Requires: python3
Provides: python3-cached_property = %{epoch}:%{version}-%{release}
Provides: python3dist(cached-property) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cached_property = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cached-property) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cached_property = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cached-property) = %{epoch}:%{version}-%{release}

%description -n python3-cached_property
cached_property allows properties in Python classes to be cached until
the cache is invalidated or expired.

%files -n python3-cached_property
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
